// Flash LED
//  Flash internal LED for XM430/XH430
//  Since software serial is selected, dynamixel should be use at 57600bps or less.
//  1.select [SOFT]
//  2.compile & download

#include <dx2lib.h>
#include <SoftwareSerial.h>

DX2LIB dxif (true); // select software serial

void setup() {
  // set dxlib baudrate
  dxif.begin (57600);
}

void loop() {
  static uint8_t led = 0;
  dxif.WriteByteData (1, 65, led, NULL);
  led ^= 1;
  delay (500);
}
